For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve offboarding list
      • GETRetrieve termination details
      • GETRetrieve termination details by HRIS profile identifier
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOffboarding

Retrieve offboarding list

GET
/offboarding/tracker
GET
/rest/v2/offboarding/tracker
$curl -G https://api.letsdeel.com/rest/v2/offboarding/tracker \
> -H "Authorization: Bearer <token>" \
> --data-urlencode "search=John Doe" \
> -d hiring_types=contractor \
> -d progress_statuses=ACTIVE \
> -d limit=50 \
> -d sort_by=progressStatusWeight \
> -d sort_order=DESC \
> -d "pagination[contractId]=contract12345" \
> --data-urlencode "pagination[effectiveDate]=2024-01-01T00:00:00Z" \
> --data-urlencode "pagination[referenceDate]=2024-01-01T00:00:00Z" \
> -d "pagination[progressStatusWeight]=1" \
> -d include_overview=false \
> -d ignore_date_range=false
1{
2 "data": [
3 {
4 "name": "John Doo",
5 "contract": {
6 "id": "m7yg6zp"
7 },
8 "progress": {
9 "status": "OFFBOARDING_IN_PROGRESS",
10 "reference_date": "2021-07-14T22:00:00+00:00",
11 "reference_date_type": "2021-07-14T22:00:00+00:00",
12 "reference_date_timezone": "Europe/Belgrade"
13 },
14 "unique_id": "eyJjb250cmFjdE9pZCI6Im03eWc2enAiLCJoaXJpbmdUeXBlIjoiY29udHJhY3RvciIsImhyaXNQcm9maWxlT2lkIjoiYjU1MGI3ZTUtZDZlMS00NjEzLTkzYmEtYTdlZTVmNzU4ODdjIn0",
15 "hiring_type": "contractor",
16 "hris_profile": {
17 "oid": "b550b7e5-d6e1-4613-93ba-a7ee5f75887c"
18 },
19 "app_experience": {
20 "is_minimal_requirements": true
21 },
22 "termination_id": "b550b7e5-d6e1-4613-93ba-a7ee5f75887c",
23 "offboarding_type": "ENDING_CONTRACT"
24 }
25 ],
26 "page": {
27 "cursor": "eyJsaW1pdCI6MiwicGFnaW5hdGlvbiI6eyJwcm9ncmVzc1N0YXR1c1dlaWdodCI6MSwicmVmZXJlbmNlRGF0ZSI6IjIwMjEtMDctMThUMjI6MDA6MDArMDA6MDAiLCJlZmZlY3RpdmVEYXRlIjoiMjAyMS0wNy0xOFQyMjowMDowMCswMDowMCIsImNvbnRyYWN0SWQiOiJONzZsWHdreiJ9LCJzb3J0T3JkZXIiOiJBU0MifQ",
28 "total_rows": 86
29 }
30}

Returns a list of contracts currently in the offboarding process. By default, results are scoped to a 45-day date range; set ignore_date_range to true to retrieve all terminations regardless of date. Token scopes: contracts:read, people:read

Was this page helpful?
Previous

Retrieve termination details

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

searchstringOptional
Search term to filter contracts by name or other attributes
hiring_typeslist of enumsOptional

Hiring type (e.g., contractor, employee)

Allowed values:
progress_statuseslist of enumsOptional
Progress status of the contract
Allowed values:
limitintegerOptional>=1Defaults to 20
Number of results to return per page
sort_byenumOptionalDefaults to progressStatusWeight
Field to sort by
Allowed values:
sort_orderenumOptionalDefaults to ASC
Sorting order
Allowed values:
paginationobjectOptional

Cursor-style pagination payload for the next page (pass values returned from the previous response).

include_overviewbooleanOptionalDefaults to false
Include an overview of the contract
ignore_date_rangebooleanOptionalDefaults to false

Ignore the default 45-day date range and retrieve all terminations

Response

Successfully retrieved list of offboarding
datalist of objects
A list of offboarding items.
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/